Skip to main content

CPI

cpi

Chart: CPI

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1cpi_valuestringCPI value (null when unavailable)
2pricestringPrice (USD)
3cpi_yoy_changestringCPI YoY % change (null when unavailable)
4colorstringColor ('green' rising / 'red' falling, null when unavailable)

Example Request

https://charts.bitbo.io/api/v1/cpi/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/cpi/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/cpi/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"12.34",
"12.34",
"12.34",
"#ff0000"
],
[
"2025-05-08",
"23.45",
"23.45",
"23.45",
"#ff0000"
],
[
"2025-05-09",
"34.56",
"34.56",
"34.56",
"#ff0000"
]
]
}